package com.yizhi.point.application.feign;

import com.yizhi.point.application.vo.domain.MqPointParamVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * com.yizhi.point.application.feign
 *
 * @author yanglang
 * @create 2025-01-08 10:03:51
 */
@FeignClient(name = "point", contextId = "PointListenerClients")
public interface PointListenerClients {
    @GetMapping("/manage/point/hadPointList")
    void hadPointList();

    @GetMapping("saveHandPoint")
    boolean saveHandPoint(@RequestParam("sitePointId") String sitePointId);
}
