package com.yizhi.point.application.vo;

import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "PointUserParamVO", description = "积分排名")
public class PointUserParamVO {

	@ApiModelProperty("用户名")
	private String userName;

	private String orgNameLike;
	
	@ApiModelProperty("用户集合")
	private List<Long> accountIds;

	private Long siteId;

	private Long companyId;

	private Long orgId;
	
	private Long accountId;
	
	private Integer pageNo;
	
	private Integer pageSize;

	private  List<Long> orgIds;

	private boolean isAdmin;

	private Date startAt;

	private Date endAt;

}
